Patchwork [doc] install.texi, remove HP patch sites

login
register
mail settings
Submitter Gerald Pfeifer
Date Jan. 30, 2011, 11:15 a.m.
Message ID <alpine.LNX.2.00.1101301205160.14698@gerinyyl.fvgr>
Download mbox | patch
Permalink /patch/81013/
State New
Headers show

Comments

Gerald Pfeifer - Jan. 30, 2011, 11:15 a.m.
In preparation for the GCC 4.6.0 release I went through install.texi
and found a couple of things.

In general we should not refer to sites around non-free software, and
these two HP links really don't seem to fit.  (This is not specific to
GCC at all and we do not provide general support and download links for
anything else.)

So, I'd like to remove them and apply the patch below.

Gerald


2011-01-30  Gerald Pfeifer  <gerald@pfeifer.com>

	* doc/install.texi (hppa-hp-hpux10): Remove references to HP
	support sites.
Joseph S. Myers - Jan. 30, 2011, 4:28 p.m.
On Sun, 30 Jan 2011, Gerald Pfeifer wrote:

>  For hpux10.20, we @emph{highly} recommend you pick up the latest sed patch
> -@code{PHCO_19798} from HP@.  HP has two sites which provide patches free of
> +@code{PHCO_19798} from HP@.
>  charge:

This appears to leave a stray word "charge:" in install.texi.
Gerald Pfeifer - Jan. 30, 2011, 6:29 p.m.
On Sun, 30 Jan 2011, John David Anglin wrote:
>> 	* doc/install.texi (hppa-hp-hpux10): Remove references to HP
>> 	support sites.
> Ok.

Thanks, I applied this to mainline and the GCC 4.5 branch, ensuring
that...

On Sun, 30 Jan 2011, Joseph S. Myers wrote:
> This appears to leave a stray word "charge:" in install.texi.

...this good catch by Joseph has been addressed.

Gerald

Patch

Index: doc/install.texi
===================================================================
--- doc/install.texi	(revision 169384)
+++ doc/install.texi	(working copy)
@@ -3385,23 +3385,9 @@ 
 @heading @anchor{hppa-hp-hpux10}hppa*-hp-hpux10
 
 For hpux10.20, we @emph{highly} recommend you pick up the latest sed patch
-@code{PHCO_19798} from HP@.  HP has two sites which provide patches free of
+@code{PHCO_19798} from HP@.
 charge:
 
-@itemize @bullet
-@item
-@html
-<a href="http://us.itrc.hp.com/service/home/home.do">US, Canada, Asia-Pacific, and
-Latin-America</a>
-@end html
-@ifnothtml
-@uref{http://us.itrc.hp.com/service/home/home.do,,} US, Canada, Asia-Pacific,
-and Latin-America.
-@end ifnothtml
-@item
-@uref{http://europe.itrc.hp.com/service/home/home.do,,} Europe.
-@end itemize
-
 The C++ ABI has changed incompatibly in GCC 4.0.  COMDAT subspaces are
 used for one-only code and data.  This resolves many of the previous
 problems in using C++ on this target.  However, the ABI is not compatible